﻿
using Prism.Unity;
using System.Windows;
using Microsoft.Practices.Unity;
using Prism.Modularity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text; 

namespace RibbonDemoSample
{
    class Bootstrapper : UnityBootstrapper
    {
        protected override DependencyObject CreateShell()
        {
            return Container.Resolve<Shell>();
        }

        protected override void InitializeShell()
        {
            Application.Current.MainWindow.Show();
        }
        protected override void ConfigureModuleCatalog()
        {
            ModuleCatalog catalog = ( ModuleCatalog )ModuleCatalog;

            catalog.AddModule( typeof( HomeTabModule.HomeTabModules ) );
            catalog.AddModule( typeof( HomeTabModule.EditTabModules ) );
            catalog.AddModule( typeof( HomeTabModule.DesignTabModule ) );

        }

        
    }
}
