﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HomeTabModule
{
    /// <summary>
    /// Interaction logic for HomeTab.xaml
    /// </summary>
    public partial class HomeTab : RibbonTab 
    {
        public HomeTab()
        {
            InitializeComponent();
        }

        private void home1_Click( object sender, RoutedEventArgs e )
        {
            bool checkedstate = (sender as RibbonGalleryItem).IsChecked;
            ClearRibbonGalleryItems();
            if (sender is RibbonGalleryItem)
            {
                (sender as RibbonGalleryItem).IsChecked = checkedstate;
            }
        }

        private void home2_Click( object sender, RoutedEventArgs e )
        {

        }

        EditTab edit = new EditTab();
        private void ClearRibbonGalleryItems()
        {

            foreach( RibbonBar ribbobbar in tabHome.Items )
            {
                  foreach (var ribbongallery in ribbobbar.Items)
                    {
                        if ( (ribbongallery is RibbonGallery) && (ribbongallery as RibbonGallery).SelectedItem != null && (ribbongallery as RibbonGallery).SelectedItem is RibbonGalleryItem)
                        {
                           ((ribbongallery as RibbonGallery).SelectedItem as RibbonGalleryItem).IsChecked = false;
                        }
                    }
            }

        }
        private void ClearButtonAdv()
        {
            foreach (RibbonBar ribbobbar in tabHome.Items)
            {
                foreach (var buttonadv in ribbobbar.Items)
                {
                    if ((buttonadv is StackPanel))
                    {
                        foreach (FrameworkElement element in (buttonadv as StackPanel).Children)
                        {
                            var button = element as ButtonAdv;
                            if (button.IsChecked == true)
                            {
                                (element as ButtonAdv).IsChecked = false;
                            }
                        }
                    }
                }
            }

        }
        private void AMode_Click(object sender, RoutedEventArgs e)
        {
            bool checkedstate = (sender as ButtonAdv).IsChecked;
            ClearButtonAdv();
            if (sender is ButtonAdv)
            {
                (sender as ButtonAdv).IsChecked = checkedstate;
            }
        }


    }
}
